/* box sizing */
html {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
}
*, *:before, *:after {
	-webkit-box-sizing: inherit;
	-moz-box-sizing: inherit;
	box-sizing: inherit;
}

/* base */
body {
	font-size: 17px;
	margin: 0;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}
@media screen and (min-width: 1000px) {
	body {
		font-size: 18px;
	}
}

ls-interface-panel[role="player"] {
	display: none;
}
body.is-player-visible ls-interface-panel[role="player"] {
	display: block;
	min-width: 20rem;
}

/* Native dom elements */
i {
	font-style: italic;
}
strong {
	font-weight: bold;
}

h1 {
	font-size: 2em;
}
p {
	margin-bottom: 1rem;
}

h1, h2, h3, h4, p { margin-top: 0; }

/* components */
.Widget {
	margin-bottom: 2rem;
	display: flex;
	flex-direction: column;
}
discogs-release {
	margin-bottom: 1rem;
	display: flex;
}

discogs-label nav {
	display: flex;
	flex-direction: column;
}

ls-interface {
	display: flex;
	flex-grow: 1;
	justify-content: center;
}
ls-interface-panel {
	flex-grow: 1;
	max-height: 100vh;
}
ls-interface-panel[role="player"] {
	max-width: 20rem;
}
ls-interface-panel[role="reader"] {
	overflow-x: scroll;
	padding: 1rem;
}
radio4000-player {
	height: 100% !important;
}

ls-reader {
	max-width: 50rem;
	display: flex;
	flex-direction: column;
	justify-content: center;
	margin-left: auto;
	margin-right: auto;
}
